package beilv.bootacourse.mapper;

import beilv.bootacourse.domain.BootACourse;
import beilv.bootacourse.domain.BootACourseBO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface BootACourseMapper {
    int addCourse(BootACourse bootACourse);

    BootACourse getCourseInfo(BootACourseBO courseBo);

    int updateCourse(BootACourse course);

    List<BootACourse> getCourseList(BootACourseBO courseBO);

    List<BootACourse> selectPaidOrders();

    void updateOrderStatusToVerification(@Param("orderIds") List<String> orderIdsToUpdate, @Param("verificationTime") String verificationTime);
}
